#include "Predicate.h"
#include "../dataset.h"

#if _SimDist_ == 1
unsigned THRESHOLD_MIN  = 3;
unsigned THRESHOLD_MAX  = 4;
#elif _SimDist_ == 2
float THRESHOLD_MIN     = .9;
float THRESHOLD_MAX     = .95;
#endif

istream& operator>>(istream& in, Predicate& p) {
  char buf[MAX_STR_LEN];
  in.get(buf, MAX_STR_LEN, in.widen('\t'));
  p.query.assign(buf);
  in >> p.dist >> p.freq;
  in.getline(buf, MAX_STR_LEN, in.widen('\n'));
  return in;
}

istream& operator>>(istream& in, VectPredicate& v) {
  unsigned n;
  in>>n;
  char buf[MAX_STR_LEN];
  in.getline(buf, MAX_STR_LEN, in.widen('\n'));
  in.getline(buf, MAX_STR_LEN, in.widen('\n'));
  for (unsigned i=0; i<n; i++) {
    Predicate p;
    in>>p;
    v.push_back(p);
  }
  return in;
}
