#include "Record.h"

istream& operator>>(istream& in, VectRecord& v) 
{
  unsigned n;
  in>>n;
  for (unsigned i=0; i<n; i++) {
    Record p;
    in>>p;
    v.push_back(p);
  }
  return in;
}

ostream & VectRecord_toWeka(ostream & out,  VectRecord & v) 
{
  string weka_header = "\
@relation 'records'\n\
@attribute predicate_string_length integer\n\
@attribute predicate_threshold integer\n\
@attribute selectivity_estimation real\n\
@attribute count_clusters integer\n\
@attribute count_ppdpairs integer\n\
@attribute relative_error real\n\
@data\n";
  
  out << weka_header;
  for (VectRecordIt it = v.begin(); it != v.end(); it++) {
    it->toWeka(out);
    out << endl;
  }
  return out;
}
  
