#include <string>
#include <vector>
#include <set>
#include <iterator>
#include <iostream>
#include <fstream> 

using namespace std;

#include "../common.h"
#include "../setting.h"
#include "../SimFunc/SimDist.h"
#include "Predicate.h"
#include "Record.h"
#include "../Util.h"


int main() 
{
  const string extra_file_path = "";

   string
     file_records = extra_file_path + FILE_PATH + FILE_RECORDS, 
     file_weka =    extra_file_path + FILE_PATH + FILE_WEKA;

  VectRecord vectRecord;
  read_records(vectRecord,  file_records);
  
  cerr << "writing records to weka file \"" << file_weka << "\"..." << endl;
  ofstream fout(file_weka.c_str());
  if (!fout) { cerr<<"can't open output file \"" << file_weka << "\"" << endl; exit(EXIT_FAILURE); }
  VectRecord_toWeka(fout,  vectRecord);
  cerr <<"records wrote to weka file (" << static_cast<unsigned>(vectRecord.size()) << ")" << endl;


  return 0;
}
