#ifndef _ALL_RAND_
#define _ALL_RAND_

#include "../datastruct.h"
#include "../Cluster/Cluster.h"
#include "PPDSample.h"
#include "PPDTriple.h"

class ALL_RAND: public PPDSample 
{
private:
  vector<unsigned>::const_iterator sample_it;
  VectClusterIt cluster_it;
  ContCluster::const_iterator string_it;

public:
  ALL_RAND(VectString *d, Clusters *c, ContQueryPivot *q);
  bool has_next() const;
  PPDTriple next();

private:
  void step();
};

#endif
