#ifndef _CLOSE_RAND_
#define _CLOSE_RAND_

#include "../datastruct.h"
#include "../Cluster/Cluster.h"
#include "PPDSample.h"
#include "PPDTriple.h"
#include "IndexEntry.h"

class CLOSE_RAND: public PPDSample 
{
private:
  vector<unsigned>::const_iterator sample_it;
  ContIndexEntry samplePair;
  Cluster cluster;
  ContCluster::const_iterator string_it;

public:
  CLOSE_RAND(VectString *d, Clusters *c, ContQueryPivot *q);
  bool has_next() const;
  PPDTriple next();

private:
  void build_queue();
  void step();
};

#endif
