#ifndef _CLOSE_UNIQUE_
#define _CLOSE_UNIQUE_

#include <set>

using namespace std;

#include "../datastruct.h"
#include "../Cluster/Cluster.h"
#include "PPDSample.h"
#include "PPDTriple.h"
#include "IndexEntryVect.h"

class CLOSE_UNIQUE: public PPDSample 
{
private:
  unsigned sample_idx, sample_max;
  ContIndexEntryVect samplePair;
  Cluster cluster;
  ContCluster::const_iterator string_it;
  set<SimVect> uniqueVect;

public:
  CLOSE_UNIQUE(VectString *d, Clusters *c, ContQueryPivot *q);
  bool has_next() const;
  PPDTriple next();

private:
  void build_sample();
  unsigned count_unique();
  void step();
};

#endif
