#include <string>
#include <sstream>
#include <cmath>
#include <vector>
#include <set>
#include <cctype>
#include <iterator>

using namespace std;

#include "../common.h"
#include "EuclDist.h"

float EuclDist(const icstring& a, const icstring& b) {
	// arguments represent 2d coordinates (x, y)
	// "%f %f"
	float ax, ay, bx, by;
	iicstringstream ain(a), bin(b);
	ain>>ax>>ay;
	bin>>bx>>by;
	//cout<<"ax:\t"<<ax<<endl<<"ay:\t"<<ay<<endl;
	//cout<<"bx:\t"<<bx<<endl<<"by:\t"<<by<<endl;
	return sqrt((ax-bx)*(ax-bx)+(ay-by)*(ay-by));
}
