#ifndef _datastruct_
#define _datastruct_

#include <iostream>
#include <iterator>
#include <set>
#include <vector>

using namespace std;

typedef vector<unsigned> VectUnsigned;
typedef VectUnsigned::iterator VectUnsignedIt;

typedef set<unsigned> SetUnsigned;
typedef SetUnsigned::iterator SetUnsignedIt;
typedef SetUnsigned::const_iterator SetUnsignedCIt;

//--- I/O

inline ostream& operator<<(ostream& out, const SetUnsigned& s) {
  out<<static_cast<unsigned>(s.size())<<endl<<endl;
  copy(s.begin(), s.end(), ostream_iterator<unsigned>(out, "\n"));
  return out;
}
istream& operator>>(istream& in, SetUnsigned& s);

#endif
