#ifndef _IndexEntryVect_
#define _IndexEntryVect_

#include <set>

using namespace std;

#include "../SimFunc/SimVect.h"

class IndexEntryVect
{
public:
  unsigned index;
  SimVect vect;
 
  IndexEntryVect(unsigned i, SimVect v);

  friend bool operator<(const IndexEntryVect& left, const IndexEntryVect& right);
};

typedef set<IndexEntryVect> ContIndexEntryVect;

inline IndexEntryVect::IndexEntryVect(unsigned i, SimVect v): index(i), vect(v) 
{
}

inline bool operator<(const IndexEntryVect& left, const IndexEntryVect& right) 
{
  if (&left==&right)
    return false;
  return left.vect.get_dist()<right.vect.get_dist();
}

#endif
