#include "PPDSample.h"

float SAMPLE_PERCENT = .2; 
unsigned QUEUE_SIZE = 10;

ostream& PPDSample::info(ostream& out) 
{
  out << "PPDTable" << endl << "---" << endl;
  out << "PPDTable sample size\t" << (SAMPLE_PERCENT * 100) << "%" << endl;
  out << "PPDTable sample method\t";
  switch (_PPDSample_) 
    {
    case 1:
      out << "ALL_RAND";
      break;
    case 2:
      out << "CLOSE_RAND";
      break;
    case 3:
      out << "CLOSE_LEX";
      break;
    case 4:
      out << "CLOSE_UNIQUE";
      break;
    }
  out << endl;
#if _PPDSample_ >= 2 && _PPDSample_ <= 4
  out << "PPDTable queue size\t" << QUEUE_SIZE << endl;
#endif
  return out << endl;
}
