#ifndef _SEPIA_
#define _SEPIA_

#include <string>

using namespace std;

const string DATASET         = "actors.lastname.100k";

const string OUT_PATH        = "release/0/out/";
// const string OUT_PATH        = string(HOME) + "/projects/SEPIA/release/" + RELEASE_NO + "/out/";
const string DATASET_PATH    = "release/0/in/";
// const string DATASET_PATH    = string(HOME) + "/loquat/projects/datasets/imdb/";

const string FILE_DATASET         = DATASET_PATH + DATASET + ".txt";
const string FILE_CLUSTERS        = OUT_PATH + "clusters/" + DATASET + ".txt";
const string FILE_PPDTABLE        = OUT_PATH + "ppdtable/" + DATASET + ".txt";
const string FILE_RECORDS         = OUT_PATH + "records/" + DATASET + ".txt";
const string FILE_ERRORCORR       = OUT_PATH + "errorcorr/" + DATASET + ".txt";
const string FILE_QUERY           = OUT_PATH + "query/" + DATASET + ".txt";
const string FILE_TEST            = OUT_PATH + "test/" + DATASET + ".txt";
const string FILE_UPDATES         = OUT_PATH + "updates/" + DATASET + ".txt";
const string FILE_OUT             = OUT_PATH + "output/" + DATASET + ".txt";

const string FILE_CLUST_HIST = OUT_PATH + "clusters/" + DATASET + ".hist.txt";
const string FILE_CLUST_STAT = OUT_PATH + "clusters/" + DATASET + ".stat.txt";

const unsigned REAL_THRESHOLD     = 10;
const unsigned TEST_SIZE          = 300;

const unsigned MAX_CHANGES = 5;

#endif
