#ifndef _JaccDist_
#define _JaccDist_

#include "../icstring.h"

const unsigned PRECISION = 100;
const unsigned Q_GRAM = 3;

float JaccDist(const icstring& a, const icstring& b);

unsigned QGrams(const icstring& a, char (*aq)[Q_GRAM+1]);

unsigned QGramsInte(char (*aq)[Q_GRAM+1], unsigned nq, char (*bq)[Q_GRAM+1], unsigned mq);

inline size_t JaccType2size_t(const float x) {
  return static_cast<size_t>(x*100);
}

inline float JaccUpper(const float x) {
  /*
   * 0.5  -> 0.6
   * 0.56 -> 0.6 
   * !!! check PRECISION
   */
  unsigned y=static_cast<unsigned>(x*PRECISION);
  return static_cast<float>(y+1)/PRECISION;}

inline float JaccUpperOrEqual(const float x) {
  /*
   * 0.5  -> 0.5
   * 0.56 -> 0.6
   * !!! check PRECISION
   */
  unsigned y=static_cast<unsigned>(x*PRECISION);
  if (static_cast<float>(y)/PRECISION==x)
    return x;
  return static_cast<float>(y+1)/PRECISION;
}

#endif
