#include "SimDist.h"

#if _SimDist_ == 1
SimType (*SimDist)(const icstring&, const icstring&)=EditDist;
size_t (*SimType2size_t)(const SimType x)=EditType2size_t;
SimType (*Upper)(const SimType x)=EditUpper;
SimType (*UpperOrEqual)(const SimType x)=EditUpperOrEqual;

#elif _SimDist_ == 2
SimType (*SimDist)(const icstring&, const icstring&)=JaccDist;
size_t (*SimType2size_t)(const SimType x)=JaccType2size_t;
SimType (*Upper)(const SimType x)=JaccUpper;
SimType (*UpperOrEqual)(const SimType x)=JaccUpperOrEqual;

#elif _SimDist_ == 3
SimType (*SimDist)(const icstring&, const icstring&)=EuclDist;
#endif
