#ifndef _SimDist_
#define _SimDist_ Sim_Dist
// 1: EditDist
// 2: JaccDist
// 3: EuclDist

#include <vector>

using namespace std;

#include "../icstring.h"

#if _SimDist_ == 1
#include "EditDist.h"
typedef unsigned SimType;
const unsigned SIM_TYPE_MIN=0;
const unsigned SIM_TYPE_MAX=25;//MAX_STR_LEN;

#elif _SimDist_ == 2
#include "JaccDist.h"
typedef float SimType;
const float SIM_TYPE_MIN=0;
const float SIM_TYPE_MAX=1;

#elif _SimDist_ == 3
#include "EuclDist.h"
typedef float SimType;
#endif

extern SimType (*SimDist)(const icstring&, const icstring&);
extern size_t (*SimType2size_t)(const SimType);
extern SimType (*Upper)(const SimType x);
extern SimType (*UpperOrEqual)(const SimType x);

typedef vector<SimType> VectSimType;

#endif
